=== debian/changelog ===
ros-rolling-webots-ros2-control (1.2.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 20 Jan 2022 11:29:07 -0000

ros-rolling-webots-ros2-control (1.2.0-1focal) focal; urgency=high

  * Fix the controller_manager update rate.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 20 Dec 2021 23:00:00 -0000

ros-rolling-webots-ros2-control (1.1.3-1focal) focal; urgency=high

  * Added build dependency on 'ros_environment'.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 04 Nov 2021 23:00:00 -0000

ros-rolling-webots-ros2-control (1.1.2-1focal) focal; urgency=high

  * Added code compliance for 'ROS Foxy'.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 02 Nov 2021 23:00:00 -0000

ros-rolling-webots-ros2-control (1.1.0-1focal) focal; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 18 Jul 2021 22:00:00 -0000
