## ros-rolling-webots-ros2-control 2023.1.1

=== debian/changelog ===
ros-rolling-webots-ros2-control (2023.1.1-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 18 Jul 2023 12:41:36 -0000

ros-rolling-webots-ros2-control (2023.1.0-2jammy) jammy; urgency=high

  * Fixed component activation.

 -- Cyberbotics <support@cyberbotics.com>  Wed, 28 Jun 2023 22:00:00 -0000

ros-rolling-webots-ros2-control (2023.0.0-2jammy) jammy; urgency=high

  * Convert C++ controller API functions to C
  * Allow custom motor-encoder pair.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 29 Nov 2022 23:00:00 -0000

ros-rolling-webots-ros2-control (1.2.3-2jammy) jammy; urgency=high

  * Fixed support for Humble and Rolling.

 -- Cyberbotics <support@cyberbotics.com>  Sun, 29 May 2022 22:00:00 -0000

ros-rolling-webots-ros2-control (1.2.0-2jammy) jammy; urgency=high

  * Fix the controller_manager update rate.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 20 Dec 2021 23:00:00 -0000

ros-rolling-webots-ros2-control (1.1.3-2jammy) jammy; urgency=high

  * Added build dependency on 'ros_environment'.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 04 Nov 2021 23:00:00 -0000

ros-rolling-webots-ros2-control (1.1.2-2jammy) jammy; urgency=high

  * Added code compliance for 'ROS Foxy'.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 02 Nov 2021 23:00:00 -0000

ros-rolling-webots-ros2-control (1.1.0-2jammy) jammy; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 18 Jul 2021 22:00:00 -0000
